Skip to main content
Identities

アイデンティティ一覧を取得する

カーソルページネーションを使用して、現在のアカウント配下の Forward アイデンティティを一覧表示します。

GET /api/v1/forward/identities 認証されたアカウントが所有する Identity レコードを返します。

Headers

HeaderRequiredDescription
AuthorizationYesBearer <PAT または SAT>

Query parameters

ParameterTypeRequiredDefaultDescription
external_idstringNo-インテグレーターのエンドユーザー ID でフィルタリングします。
identity_idsstring|string[]No-複数の Identity ID でフィルタリングします。カンマ区切りまたは同じクエリパラメーターの繰り返しを使用でき、重複を除いて最大 100 件です。
searchstringNo-Identity ID、名前、外部 ID を検索します。
enabledbooleanNo-有効状態でフィルタリングします。ブール値以外は HTTP 400 を返します。
limitintegerNo201 ページあたりの項目数。最大 100。上限を超える値は 100 に制限されます。
after_idstringNo-次のページのカーソル。before_id と併用できません。
before_idstringNo-前のページのカーソル。after_id と併用できません。

Example request

curl -s -X GET 'https://api.qoder.com/api/v1/forward/identities?external_id=user_456&limit=20' \
  -H "Authorization: Bearer $QODER_ACCESS_TOKEN"

Example response

HTTP 200 OK
{
  "data": [
    {
      "id": "idn_019eabc123",
      "external_id": "user_456",
      "name": "Example User",
      "identity_type": "normal",
      "enabled": true,
      "metadata": {},
      "created_at": "2026-06-18T10:00:00Z",
      "updated_at": "2026-06-18T10:00:00Z"
    }
  ],
  "first_id": "idn_019eabc123",
  "last_id": "idn_019eabc123",
  "has_more": false
}

Response fields

FieldTypeDescription
dataarray現在のページにある Identity オブジェクト。
first_idstring|nullこのページの最初のレコードの ID。
last_idstring|nullこのページの最後のレコードの ID。
has_morebooleanさらにレコードが残っているかどうか。
data[].idstringForward Identity ID。
data[].external_idstringインテグレーターのシステムにおけるエンドユーザー ID。
data[].namestringIdentity の表示名。
data[].identity_typestringIdentity の種類。通常の Identity は normal を返します。
data[].enabledbooleanIdentity を新しい操作に使用できるかどうか。
data[].metadataobjectカスタムメタデータ。
data[].created_atstring作成時刻。RFC 3339 形式。
data[].updated_atstring最終更新時刻。RFC 3339 形式。

Errors

HTTPTypeCode発生条件
400--limit が不正、after_idbefore_id を同時に指定、enabled がブール値ではない、または identity_ids が不正です。
401authentication_errorauthentication_requiredPAT または SAT が無効または期限切れです。
403permission_error-このリソースへのアクセス権がありません。

Notes

  • after_idbefore_id は同時に使用できません。
  • limit が 100 を超える場合は 100 に制限され、HTTP 400 は返されません。
  • search は Identity ID、名前、外部 ID を検索します。
  • 削除された Identity は通常の業務に使用しないでください。
ベストプラクティス
アイデンティティ一覧を取得する - Qoder